- name: Setup fastify app
  hosts: all
  gather_facts: no
  tasks:
    - name: Set GPG key
      become: yes
      ansible.builtin.apt_key:
        id: 68576280
        keyserver: https://keyserver.ubuntu.com/pks/lookup?op=get&fingerprint=on&search=0x1655A0AB68576280

    - name: Add nodejs repo
      become: yes
      ansible.builtin.apt_repository:
        repo: deb https://deb.nodesource.com/node_16.x focal main
        filename: nodesource

    - name: Install nodejs
      become: yes
      ansible.builtin.apt:
        name: nodejs
        state: latest
        update_cache: yes

    - name: Install fastify
      ansible.builtin.shell: npm init -y fastify
      args:
        chdir: /vagrant
        creates: package.json

    - name: Add fastify address var to /etc/environment
      become: yes
      ansible.builtin.lineinfile:
        path: /etc/environment
        line: FASTIFY_ADDRESS=0.0.0.0
        create: yes
        backup: yes
